cxf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "S. Ali Tokmen (JIRA)" <>
Subject [jira] Closed: (CXF-2694) The CXF bundle has a required import on
Date Tue, 09 Mar 2010 09:43:27 GMT


S. Ali Tokmen closed CXF-2694.

Verified Revision: 920567 on trunk

> The CXF bundle has a required import on
> ---------------------------------------------------------------
>                 Key: CXF-2694
>                 URL:
>             Project: CXF
>          Issue Type: Bug
>          Components: OSGi
>    Affects Versions: 2.0.12, 2.1.8, 2.2.6
>            Reporter: S. Ali Tokmen
>            Assignee: Daniel Kulp
>             Fix For: 2.2.7
>         Attachments: CXF-2694.patch
>   Original Estimate: 0.17h
>  Remaining Estimate: 0.17h
> see the thrread on:
> Hello
> In its version 2.2.6, the CXF bundles have a certain number of imports; some of them
are optional and some other mandatory.
> One that's mandatory is, but I have the impression that it actually
is not: I've modified the bundle so this dependency is optional, and it still is working very
well in my use cases.
> More interestingly,* is already marked as resolution:=optional
where it's clearly visible)
> Would it be possible to also mark the import of* as optional
as well?
> --
> This request exists because there are many Web Services that don't actually require any
security policy (stock ticker, weather, ...) and it's a pity to require to have it if not
needed. Mostly that the itself needs many, many more dependencies.

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message